Gravv DOCS
Docs Agent Get Started
API Reference Get card

Get card

Retrieve card details for a customer. To retrieve sensitive card details, such as cvv and card_number use the View card sensitive details endpoint.

GET/v1/cards/{card_id}

Path Parameters

The ID of the card to retrieve.

Responses

Status Description
200 Card details

200 response

Unique identifier for the card

Timestamp when the card was created

Timestamp when the card was last updated

Spending controls for the card

Indicates if spending controls are activated

Maximum amount allowed per single transaction

Maximum amount allowed per day

Possible values: virtual, physical

Blockchain network associated with the card

Name printed on the card

Last 4 digits of the card number

Card expiration date

Current status of the card

Possible values: active, freeze, blocked, inactive

{
"data": {
"billing_address": {
  "city": "Palo Alto",
  "country_iso_code": "US",
  "postal_code": "01023",
  "state": "California",
  "street": "Palo Alto"
},
"blockchain_network": "ethereum",
"currency": "USD",
"date_created": "2025-10-10T13:04:36.544962+01:00",
"date_updated": "2025-10-13T17:57:26.56108+01:00",
"expiry": "7/2029",
"id": "dce0192a-9b3d-440b-9500-33dc9ac8dc20",
"masked_pan": "9351",
"name_on_card": "Test User Name",
"network": "visa",
"spending_controls": {
  "activated": true,
  "daily_transaction_limit": 50,
  "single_transaction_limit": 50,
  "type": "virtual"
},
"status": "active"
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC